curl --request PATCH \
--url https://api.cyberdesk.io/v1/runs/{run_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"error": [
"<string>"
],
"output_data": {},
"output_attachment_ids": [
"<string>"
],
"run_message_history": [
{}
],
"input_values": {},
"usage_metadata": {},
"post_run_checks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"post_run_check_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"snapshot_version": 123,
"name": "<string>",
"description": "<string>",
"order": 123,
"file_names": [
"<string>"
],
"file_name_regex": "<string>",
"expected_match_count": 123,
"expected_match_count_ref": "<string>",
"loop_input": "<string>",
"loop_item_filename_template": "<string>",
"allow_missing_attachments": false,
"check_prompt": "<string>",
"model": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"messages": [
"<string>"
],
"matched_filenames": [
"<string>"
]
}
],
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"release_session_after": true
}
'import requests
url = "https://api.cyberdesk.io/v1/runs/{run_id}"
payload = {
"error": ["<string>"],
"output_data": {},
"output_attachment_ids": ["<string>"],
"run_message_history": [{}],
"input_values": {},
"usage_metadata": {},
"post_run_checks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"post_run_check_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"snapshot_version": 123,
"name": "<string>",
"description": "<string>",
"order": 123,
"file_names": ["<string>"],
"file_name_regex": "<string>",
"expected_match_count": 123,
"expected_match_count_ref": "<string>",
"loop_input": "<string>",
"loop_item_filename_template": "<string>",
"allow_missing_attachments": False,
"check_prompt": "<string>",
"model": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"messages": ["<string>"],
"matched_filenames": ["<string>"]
}
],
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"release_session_after": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
error: ['<string>'],
output_data: {},
output_attachment_ids: ['<string>'],
run_message_history: [{}],
input_values: {},
usage_metadata: {},
post_run_checks: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
post_run_check_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
snapshot_version: 123,
name: '<string>',
description: '<string>',
order: 123,
file_names: ['<string>'],
file_name_regex: '<string>',
expected_match_count: 123,
expected_match_count_ref: '<string>',
loop_input: '<string>',
loop_item_filename_template: '<string>',
allow_missing_attachments: false,
check_prompt: '<string>',
model: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
started_at: '2023-11-07T05:31:56Z',
ended_at: '2023-11-07T05:31:56Z',
error_message: '<string>',
messages: ['<string>'],
matched_filenames: ['<string>']
}
],
started_at: '2023-11-07T05:31:56Z',
ended_at: '2023-11-07T05:31:56Z',
release_session_after: true
})
};
fetch('https://api.cyberdesk.io/v1/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"machine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"error": [
"<string>"
],
"output_data": {},
"input_attachment_ids": [
"<string>"
],
"output_attachment_ids": [
"<string>"
],
"run_message_history": [
{}
],
"input_values": {},
"main_prompt": "<string>",
"model_metadata": {
"main_agent_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cache_detection_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fallback_model_1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fallback_model_2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"pool_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sensitive_input_aliases": {},
"usage_metadata": {},
"post_run_checks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"post_run_check_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"snapshot_version": 123,
"name": "<string>",
"description": "<string>",
"order": 123,
"file_names": [
"<string>"
],
"file_name_regex": "<string>",
"expected_match_count": 123,
"expected_match_count_ref": "<string>",
"loop_input": "<string>",
"loop_item_filename_template": "<string>",
"allow_missing_attachments": false,
"check_prompt": "<string>",
"model": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"messages": [
"<string>"
],
"matched_filenames": [
"<string>"
]
}
],
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_alias": "<string>",
"release_session_after": true,
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update Run
Update a run’s data.
Only the fields provided in the request body will be updated. The run must belong to the authenticated organization.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.
"550e8400-e29b-41d4-a716-446655440000"
Path Parameters
Body
Schema for updating a run
scheduling, running, running_checks, success, cancelled, task_failed, error Show child attributes
Show child attributes
Response
Successful Response
Run response schema
scheduling, running, running_checks, success, cancelled, task_failed, error Per-run prompt override used for execution. Null means the run falls back to the workflow's current main_prompt.
Per-run model metadata overrides used for execution. Null means the run falls back to the workflow's model_metadata.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Arbitrary usage/billing metadata captured during a run (schema is flexible)
Version-tolerant snapshot/results for the run's post-run checks.
Show child attributes
Show child attributes
Was this page helpful?